Package com.arms.egovframework.javaservice.treeframework.service

## Interface TreeService

- All Known Subinterfaces:
    `BlogService`, `ClientCaseService`, `DynamicDBMaker`, `FileRepository`, `FileRepositoryLog`, `HolidayService`, `JiraIssuePriority`, `JiraIssuePriorityLog`, `JiraIssueResolution`, `JiraIssueResolutionLog`, `JiraIssueStatus`, `JiraIssueStatusCategoryMap`, `JiraIssueStatusLog`, `JiraIssueType`, `JiraIssueTypeLog`, `JiraProject`, `JiraProjectIssueTypePure`, `JiraProjectLog`, `JiraProjectPure`, `JiraServer`, `JiraServerLog`, `JiraServerProjectPure`, `JiraServerPure`, `Newsletter`, `PatchnoteService`, `PdService`, `PdServiceDetail`, `PdServiceLog`, `PdServicePure`, `PdServiceVersion`, `PdServiceVersionLog`, `ReceiverLog`, `ReceiverService`, `ReqAdd`, `ReqAddLog`, `ReqAddPure`, `ReqAddStatePure`, `ReqComment`, `ReqCommentLog`, `ReqDifficulty`, `ReqPriority`, `ReqReview`, `ReqReviewComment`, `ReqReviewCommentLog`, `ReqReviewLog`, `ReqState`, `ReqStateCategory`, `ReqStateCategoryLog`, `ReqStatus`, `ReqStatusLog`, `SalaryLog`, `SalaryService`, `SchedulerService`, `SenderLog`, `SenderService`, `WikiService`
  All Known Implementing Classes:
    `BlogServiceImpl`, `ClientCaseServiceImpl`, `DynamicDBMakerImpl`, `FileRepositoryImpl`, `FileRepositoryLogImpl`, `HolidayServiceImpl`, `JiraIssuePriorityImpl`, `JiraIssuePriorityLogImpl`, `JiraIssueResolutionImpl`, `JiraIssueResolutionLogImpl`, `JiraIssueStatusCategoryMapImpl`, `JiraIssueStatusImpl`, `JiraIssueStatusLogImpl`, `JiraIssueTypeImpl`, `JiraIssueTypeLogImpl`, `JiraProjectImpl`, `JiraProjectIssueTypePureImpl`, `JiraProjectLogImpl`, `JiraProjectPureImpl`, `JiraServerImpl`, `JiraServerLogImpl`, `JiraServerProjectPureImpl`, `JiraServerPureImpl`, `MailServiceImpl`, `NewsletterImpl`, `PatchnoteServiceImpl`, `PdServiceDetailImpl`, `PdServiceImpl`, `PdServiceLogImpl`, `PdServicePureImpl`, `PdServiceVersionImpl`, `PdServiceVersionLogImpl`, `ReceiverLogImpl`, `ReceiverServiceImpl`, `ReqAddImpl`, `ReqAddLogImpl`, `ReqAddPureImpl`, `ReqAddStatePureImpl`, `ReqCommentImpl`, `ReqCommentLogImpl`, `ReqDifficultyImpl`, `ReqPriorityImpl`, `ReqReviewCommentImpl`, `ReqReviewCommentLogImpl`, `ReqReviewImpl`, `ReqReviewLogImpl`, `ReqStateCategoryImpl`, `ReqStateCategoryLogImpl`, `ReqStateImpl`, `ReqStatusImpl`, `ReqStatusLogImpl`, `SalaryLogImpl`, `SalaryServiceImpl`, `SchedulerServiceImpl`, `SenderLogImpl`, `SenderServiceImpl`, `TreeServiceImpl`, `WikiServiceImpl`

      public interface TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends TreeSearchEntity> T` | `addNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> int` | `alterNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> int` | `alterNodeType​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> java.util.List<T>` | `getChildNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> java.util.List<T>` | `getChildNodeWithoutPaging​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> T` | `getNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> java.util.List<T>` | `getNodesWithoutRoot​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity,​K,​V> java.util.Map<K,​V>` | `getNodesWithoutRootMap​(T treeSearchEntity, java.util.function.Function<T,​K> key, java.util.function.Function<T,​V> value)` |
    `<T extends TreeSearchEntity> java.util.List<T>` | `getPaginatedChildNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> T` | `moveNode​(T treeSearchEntity, javax.servlet.http.HttpServletRequest request)` |
    `<T extends TreeSearchEntity> int` | `overwriteNode​(T toEntity, T fromEntity)` |
    `<T extends TreeSearchEntity> int` | `removeNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> java.util.List<java.lang.String>` | `searchNode​(T treeSearchEntity)` |
    `<T extends TreeSearchEntity> int` | `updateField​(T treeSearchEntity, java.lang.String field)` |
    `<T extends TreeSearchEntity> int` | `updateNode​(T treeSearchEntity)` |

- - ### Method Detail

    - #### getNode

          <T extends TreeSearchEntity> T getNode​(T treeSearchEntity)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateNode

          <T extends TreeSearchEntity> int updateNode​(T treeSearchEntity)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateField

          <T extends TreeSearchEntity> int updateField​(T treeSearchEntity,
                                                       java.lang.String field)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getChildNode

          <T extends TreeSearchEntity> java.util.List<T> getChildNode​(T treeSearchEntity)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getChildNodeWithoutPaging

          <T extends TreeSearchEntity> java.util.List<T> getChildNodeWithoutPaging​(T treeSearchEntity)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaginatedChildNode

          <T extends TreeSearchEntity> java.util.List<T> getPaginatedChildNode​(T treeSearchEntity)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodesWithoutRoot

          <T extends TreeSearchEntity> java.util.List<T> getNodesWithoutRoot​(T treeSearchEntity)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodesWithoutRootMap

          <T extends TreeSearchEntity,​K,​V> java.util.Map<K,​V> getNodesWithoutRootMap​(T treeSearchEntity,
                                                                                                       java.util.function.Function<T,​K> key,
                                                                                                       java.util.function.Function<T,​V> value)
                                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### searchNode

          <T extends TreeSearchEntity> java.util.List<java.lang.String> searchNode​(T treeSearchEntity)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addNode

          <T extends TreeSearchEntity> T addNode​(T treeSearchEntity)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### overwriteNode

          <T extends TreeSearchEntity> int overwriteNode​(T toEntity,
                                                         T fromEntity)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeNode

          <T extends TreeSearchEntity> int removeNode​(T treeSearchEntity)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### alterNode

          <T extends TreeSearchEntity> int alterNode​(T treeSearchEntity)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### alterNodeType

          <T extends TreeSearchEntity> int alterNodeType​(T treeSearchEntity)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### moveNode

          <T extends TreeSearchEntity> T moveNode​(T treeSearchEntity,
                                                  javax.servlet.http.HttpServletRequest request)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`